### Function

# Pos Completer capitalize_by_template

#### Declaration [src]

    GStrv
    pos_completer_capitalize_by_template (
      const char* template,
      const GStrv completions
    )

#### Description [src]

Returns a copy of completions with the capitalization of the strings set to match the capitalization in the template. Use with the preedit as template with completers which return only lower case completions.

#### Parameters

`template`

  Type: `const char*`

  String with some characters in upper case.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`completions`

  Type: An array of `utf8`

  List of completion strings.

  The array must be `NULL`-terminated.
  Each element is a NUL terminated UTF-8 string.

#### Return value

Type: An array of `utf8`

Copy of completions with changed capitalization.

The array is `NULL`-terminated.
Each element is a NUL terminated UTF-8 string.